# uuid is defined in extension's metadata.json and used as the installation dir name
%global uuid                    taskwarrior-integration@sgaraud.github.com
%global upstream_pkg_name       gnome-extension-taskwarrior
%global gnome_extensions_dir    %{_datadir}/gnome-shell/extensions
%global gschemas_dir            %{_datadir}/glib-2.0/schemas/
%global final_install_dir       %{gnome_extensions_dir}/%{uuid}

Name:           gnome-shell-extension-taskwarrior
Version:        4.0
Release:        4%{?dist}
Summary:        Taskwarrior integration for GNOME

License:        GPLv3+
BuildArch:      noarch
URL:            https://github.com/sgaraud/gnome-extension-taskwarrior
Source0:        https://github.com/sgaraud/gnome-extension-taskwarrior/archive/v%{version}/%{upstream_pkg_name}-%{version}.tar.gz

# https://github.com/sgaraud/gnome-extension-taskwarrior/commit/50abcefae6e15f38b1e600df9047f2154f5068eb
Patch0:         make-licensing-consistent-with-GPLv3.patch

Requires:       gnome-shell >= 3.14
Requires:       gnome-shell-extension-common
Requires:       task >= 2.3.0

Recommends:     gnome-tweak-tool

%description
This GNOME shell extension is enabling access to Taskwarrior from the gnome
shell taskbar.


%prep
%autosetup -n %{upstream_pkg_name}-%{version}
# delete compiled schema
rm schemas/gschemas.compiled
# remove unnecessary files
rm .gitignore
rm build.sh


%build
# noop


%install
# install gschema and then delete it to make sure it is not copied to gnome-shell extensions dir
mkdir -p %{buildroot}%{gschemas_dir}
cp --preserve=mode,timestamps schemas/org.gnome.shell.extensions.taskwarrior-integration.gschema.xml %{buildroot}%{gschemas_dir}
rm -r schemas/

mkdir -p %{buildroot}%{final_install_dir}
cp --recursive --preserve=mode,timestamps * %{buildroot}%{final_install_dir}
# do not install README, screenshots and LICENSE twice
rm %{buildroot}%{final_install_dir}/LICENSE
rm %{buildroot}%{final_install_dir}/README.md
rm %{buildroot}%{final_install_dir}/taskwarriorgnomeshell*.png


%files
%license LICENSE
%doc README.md taskwarriorgnomeshell*.png
%{gnome_extensions_dir}/%{uuid}
%{gschemas_dir}/org.gnome.shell.extensions.taskwarrior-integration.gschema.xml


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 23 2018 Tomas Hozza <thozza@redhat.com> - 4.0-3
- Pick up upstream change to make licensing consistent

* Sun Jul 22 2018 Tomas Hozza <thozza@redhat.com> - 4.0-2
- Addressed notes from package review (#1607091c#1)

* Tue Jul 17 2018 Tomas Hozza <thozza@redhat.com> - 4.0-1
- Initial package
